Subject: Re: NNCP discussion on comp.mail.uucp

From: Sergey Matveev <[email-masked]>
Date: Mon, 4 Jan 2021 11:36:50 +0300

*** John Goerzen [2021-01-03 23:50]:
>Just thought I'd point you to this thread I started on comp.mail.uucp:

Cool! I am subscribed to that group, but receiving only digests, that
just lacks nearly everything, except for the subjects. And because I am
subscribe using "+subscribe@googlegroups" method (no Google Account), I
have got no way to change that digest mode to ordinary one and
participate in discussion.

The main difference between UUCP and NNCP, in my opinion, except for
(current) lack of explicit ability to use serial lines, is that NNCP is
a friend-to-friend/darknet network, where each (well, with minor
exceptions of course) participant (on the packet's path) has to be
explicitly known and added to the list of known neighbours. While UUCP
is a greynet, where even "anonymous" (unauthenticated, unidentified)
peers can work.

And no, of course there are no plans for making NNCP opennet, by
automatic fetching of peer's public key via DNS, because... well, it
will simply destroy and ruin the whole network and its resources because
of no trust and control of communicating peers. F2F (darknet)
self-governed networks (FidoNet as an example of global scale world-wide
completely decentralized one) are more complicated to administer and
support, but they are immune to Sybil attacks.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF